Subject: CCL: Running Gaussian 03 on Linux (RedHat) system

From: Pinchas Aped <aped$at$mail.biu.ac.il>
Date: Wed, 2 Jun 2004 16:03:48 +0300 (IDT)

Dear All:

     I have installed Gaussian 03 on a RedHat 9.0 Linux system. 
The hardware configuration I am using is -

         IBM xSeries 225, model 8647
         2 Intel Xeon processors (2.4 GHz)
         512 Kb Second Level Cache on each processor
         2 Gb DDR RAM
         SCSI Ultra320
         2 removable disks of 73.4 Gb each

I have started to run some simple jobs as benchmarks, and found the following 
results (2 other unix systems were added for comparison) -

							     [1]
   Gaussian Benchmark (HF/3-21G Opt=Z-matrix, 18 heavy atoms)

			   [2]      [3]      [4]
			WS1      WS2      WS3
   =============================================
   1-Processor         2049     3759     3793
   2-Processors        1330     2038     2064
   Scalability         1.54     1.84     1.84

   speed ratio
   (for 1-Proc)        2.54     1.38     1.37

   2 1-Proc jobs
   simultaneously      2570
   % reduction          25
   =============================================
   [1] Clock time in seconds.
   [2] WS1: IBM X-225; Intel Xeon 2.4 GHZ; Linux RedHat 9.0;
       Gaussian 03 Rev B.04
   [3] WS2: IBM-RS6000 7026-B80; PowerPC_POWER3 375 MHZ; AIX 5.2;
       Gaussian 03 Rev B.04
   [4] WS3: SGI-Origin 300; R14000 600 MHZ; IRIX64 6.5.19;
       Gaussian 03 Rev B.04

     It seems that the scalability on the Linux system is very low, even for 2 
processors. Moreover, running 2 separate jobs simultaneously (each using one 
processor) seems to reduce heavily the performance of both processors.

     Does anyone has experience with Gaussian 03 (or other heavy chemistry 
applications) on Linux system? Did you get better results?

     Thanks in advance for your help

     Regards

     Pinchas Aped

------------------------------------------------------------------------
Dr. Pinchas Aped                      Tel.:   (+972-3) 531-7683
Department of Chemistry               FAX :   (+972-3) 535-1250
Bar-Ilan University                   E-Mail: aped$at$mail.biu.ac.il
52900 Ramat-Gan, ISRAEL               WWW:    http://www.biu.ac.il/~aped
------------------------------------------------------------------------